Trigger Account event
curl --request POST \
--url https://sandbox.axle.insure/sandbox/accounts/{id}/event \
--header 'Content-Type: application/json' \
--header 'x-access-token: <x-access-token>' \
--header 'x-client-id: <x-client-id>' \
--header 'x-client-secret: <api-key>' \
--data '
{
"carrier": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"phone": "<string>",
"email": "<string>",
"connection": {}
}
'import requests
url = "https://sandbox.axle.insure/sandbox/accounts/{id}/event"
payload = {
"carrier": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"phone": "<string>",
"email": "<string>",
"connection": {}
}
headers = {
"x-client-id": "<x-client-id>",
"x-access-token": "<x-access-token>",
"x-client-secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-client-id': '<x-client-id>',
'x-access-token': '<x-access-token>',
'x-client-secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
carrier: '<string>',
firstName: '<string>',
lastName: '<string>',
phone: '<string>',
email: '<string>',
connection: {}
})
};
fetch('https://sandbox.axle.insure/sandbox/accounts/{id}/event', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.axle.insure/sandbox/accounts/{id}/event",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'carrier' => '<string>',
'firstName' => '<string>',
'lastName' => '<string>',
'phone' => '<string>',
'email' => '<string>',
'connection' => [
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-access-token: <x-access-token>",
"x-client-id: <x-client-id>",
"x-client-secret: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.axle.insure/sandbox/accounts/{id}/event"
payload := strings.NewReader("{\n \"carrier\": \"<string>\",\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"phone\": \"<string>\",\n \"email\": \"<string>\",\n \"connection\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-client-id", "<x-client-id>")
req.Header.Add("x-access-token", "<x-access-token>")
req.Header.Add("x-client-secret", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://sandbox.axle.insure/sandbox/accounts/{id}/event")
.header("x-client-id", "<x-client-id>")
.header("x-access-token", "<x-access-token>")
.header("x-client-secret", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"carrier\": \"<string>\",\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"phone\": \"<string>\",\n \"email\": \"<string>\",\n \"connection\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.axle.insure/sandbox/accounts/{id}/event")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-client-id"] = '<x-client-id>'
request["x-access-token"] = '<x-access-token>'
request["x-client-secret"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"carrier\": \"<string>\",\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"phone\": \"<string>\",\n \"email\": \"<string>\",\n \"connection\": {}\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {}
}{
"success": false,
"message": "Input validation failed due to one or more missing or invalid parameters. Review the request and try again."
}{
"message": "Too Many Requests"
}Sandbox
Trigger Account event
The Account event will be sent to the webhookUri specified when generating an Ignition token.
Refer to the Sandbox guide for more details.
POST
/
sandbox
/
accounts
/
{id}
/
event
Trigger Account event
curl --request POST \
--url https://sandbox.axle.insure/sandbox/accounts/{id}/event \
--header 'Content-Type: application/json' \
--header 'x-access-token: <x-access-token>' \
--header 'x-client-id: <x-client-id>' \
--header 'x-client-secret: <api-key>' \
--data '
{
"carrier": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"phone": "<string>",
"email": "<string>",
"connection": {}
}
'import requests
url = "https://sandbox.axle.insure/sandbox/accounts/{id}/event"
payload = {
"carrier": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"phone": "<string>",
"email": "<string>",
"connection": {}
}
headers = {
"x-client-id": "<x-client-id>",
"x-access-token": "<x-access-token>",
"x-client-secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-client-id': '<x-client-id>',
'x-access-token': '<x-access-token>',
'x-client-secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
carrier: '<string>',
firstName: '<string>',
lastName: '<string>',
phone: '<string>',
email: '<string>',
connection: {}
})
};
fetch('https://sandbox.axle.insure/sandbox/accounts/{id}/event', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.axle.insure/sandbox/accounts/{id}/event",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'carrier' => '<string>',
'firstName' => '<string>',
'lastName' => '<string>',
'phone' => '<string>',
'email' => '<string>',
'connection' => [
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-access-token: <x-access-token>",
"x-client-id: <x-client-id>",
"x-client-secret: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.axle.insure/sandbox/accounts/{id}/event"
payload := strings.NewReader("{\n \"carrier\": \"<string>\",\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"phone\": \"<string>\",\n \"email\": \"<string>\",\n \"connection\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-client-id", "<x-client-id>")
req.Header.Add("x-access-token", "<x-access-token>")
req.Header.Add("x-client-secret", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://sandbox.axle.insure/sandbox/accounts/{id}/event")
.header("x-client-id", "<x-client-id>")
.header("x-access-token", "<x-access-token>")
.header("x-client-secret", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"carrier\": \"<string>\",\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"phone\": \"<string>\",\n \"email\": \"<string>\",\n \"connection\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.axle.insure/sandbox/accounts/{id}/event")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-client-id"] = '<x-client-id>'
request["x-access-token"] = '<x-access-token>'
request["x-client-secret"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"carrier\": \"<string>\",\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"phone\": \"<string>\",\n \"email\": \"<string>\",\n \"connection\": {}\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {}
}{
"success": false,
"message": "Input validation failed due to one or more missing or invalid parameters. Review the request and try again."
}{
"message": "Too Many Requests"
}Authorizations
Headers
The client ID of the destination client. This is optional and only used by platform clients. See the Axle for Platforms guide for more information.
The access token required for access to the requested Account. Returned as part of Exchange Token.
Path Parameters
Body
application/json
The Account object fields you would like to change. For list of all possible fields refer to Account
Was this page helpful?